#!/bin/bash

rm -rf ~/.config/Code/ ~/.vscode/

extensoes=(
    emeraldwalk.runonsave
    ms-python.debugpy
    ms-python.python
    ms-python.vscode-pylance        
)

for ext in "${extensoes[@]}"
    do
        code --install-extension "${ext}"
    done

cat <<EOF > ~/.config/Code/User/settings.json 
{
  "extensions.autoUpdate": false,
  "files.autoSave": "afterDelay",
  "files.autoSaveDelay": 1000
}
EOF

mkdir "/tmp/${USER}" &&
cd "/tmp/${USER}" && \
curl -O https://gilito.com.pt/ci/emeraldwalk.runonsave-0.2.7.zip && \
unzip -o emeraldwalk.runonsave-0.2.7.zip && \
cd ~/.vscode/extensions/ && \
rm -rf  emeraldwalk.runonsave-0.2.7 && \
mv "/tmp/${USER}emeraldwalk.runonsave-0.2.7" .
